1. Auth
Airoad
  • TripPlan
    • 사용자의 여행 일정 목록 조회
      GET
    • 여행 일정 생성 세션 생성
      POST
    • 여행 일정 상세 조회
      GET
    • AI 여행 일정 생성 시작
      POST
    • 여행 일정 삭제
      DELETE
    • 여행 일정 제목 수정
      PATCH
    • 일정 장소 순서 교환
      PATCH
    • 여행 일차별 일정 목록 조회
      GET
  • Auth
    • 액세스 토큰 재발급
      POST
    • 로그아웃
      POST
  • Member
    • 현재 로그인한 사용자 정보 조회
      GET
    • 현재 로그인한 사용자 이름 조회
      GET
  • ChatRoom
    • 채팅방 메시지 이력 조회
      GET
  • Schemas
    • TripPlanCreateRequest
    • ChannelIdResponse
    • CommonResponse
    • ReissueTokenRequest
    • CreateAiPromptTemplateRequest
    • TokenResponse
    • TripPlanUpdateRequest
    • UpdateAiPromptTemplateRequest
    • ScheduledPlaceSwapRequest
    • AiPromptTemplateResponse
    • TripPlanResponse
    • TripPlanDetailResponse
    • DailyPlanResponse
    • PlaceResponse
    • ScheduledPlaceResponse
    • MemberResponse
    • MemberNameResponse
    • ChatMessageResponse
    • TripPlanProgressMessage
    • ChatStreamDto
    • ChatMessageRequest
    • ErrorResponse
    • PageResponse
  1. Auth

로그아웃

POST
/api/v1/auth/logout
현재 로그인된 사용자를 로그아웃 처리합니다.

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Header Params

Responses

🟢204
로그아웃 성공
This response does not have a body.
🟠401
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST '/api/v1/auth/logout' \
--header 'Authorization: Bearer <token>'
Response Response Example
{
    "success": false,
    "status": 401,
    "data": {
        "timestamp": "2025-12-19T10:00:00",
        "code": "AUTH001",
        "message": "인증이 필요합니다.",
        "path": "/api/v1/auth/logout",
        "errors": null
    }
}
Modified at 2025-12-19 08:15:40
Previous
액세스 토큰 재발급
Next
현재 로그인한 사용자 정보 조회
Built with